# Create or update Streaming Locator

put ` https://app.mk.io/api/v1/projects/:project_name/media/streamingLocators/:locator_name`

Create or update a Streaming Locator. When updating a streaming locator, only `start time`, `end time` and `suppressed` can be modified.

RBAC Capability Required: `ams.streaminglocator.create` or `ams.streaminglocator.update`

## Authentication

Authorization Bearer

Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Path parameters

| Parameter       | Type   | Required | Description |
|------------------|--------|----------|-------------|
| project_name     | string | Yes      |             |
| locator_name     | string | Yes      |             |

## Request

This endpoint expects an object.

### Properties

| Name                        | Type     | Required | Description |
|-----------------------------|----------|----------|-------------|
| properties                  | object   | Yes      | Properties for streaming locator |
| alternativeMediaId          | string   | No       | The alternative media id of the asset used by this streaming locator |
| assetName                   | string   | Yes      | The name of the asset used by this streaming locator |
| contentId                   | string   | No       | Optional content ID. Only valid when an external key server is used. |
| contentKeys                 | list     | No       | The content keys used by this streaming locator |
| defaultContentKeyPolicyName  | string   | No       | The default content key policy name used by this streaming locator. |
| defaultManifestFilename      | string   | No       | Manifest filename used with streaming endpoints that have urlStyle set to 'Aquila' or 'Unified'. |
| endTime                     | string   | No       | The end time of the streaming locator |
| filters                     | list     | No       | A list of asset or account filters to apply to the streaming locator. |
| startTime                   | string   | No       | The start time of the streaming locator |
| streamingLocatorId          | string   | No       | The streaming locator id |
| streamingPolicyName         | string   | Yes      | The name of the streaming policy used by this streaming locator. |
| suppressed                   | boolean  | No       | Optional configuration for output suppression. |

## Response

### 200 Updated

| Field                  | Type     | Required | Description |
|------------------------|----------|----------|-------------|
| id                     | string   | No       | Fully qualified resource ID for the resource. |
| name                   | string   | No       | The name of the resource |
| properties             | object   | Yes      | Properties for streaming locator |

### 201 Created

## Errors

### 400 Bad Request

| Field     | Type     | Required | Description |
|-----------|----------|----------|-------------|
| code      | string   | Yes      | The error code. |
| detail    | string   | Yes      | The error message. |
| ref       | string   | Yes      | A reference to the request that caused the error. |

### 401 Unauthorized

### 403 Forbidden

### 404 Not Found

### 409 Conflict

### 429 Too Many Requests

### 500 Internal Server Error

| Field     | Type     | Required | Description |
|-----------|----------|----------|-------------|
| code      | string   | Yes      | The error code. |
| detail    | string   | Yes      | The error message. |
| ref       | string   | Yes      | A reference to the request that caused the error.
